/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenemenusubleveltranPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "MENUCODE")
    private int menucode;
    @Basic(optional = false)
    @Column(name = "LEVELCODE")
    private int levelcode;
    @Basic(optional = false)
    @Column(name = "SUBLEVEL")
    private int sublevel;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONMODULE")
    private String transactionmodule;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONCODE")
    private short transactioncode;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONVERSION")
    private short transactionversion;

    public TgenemenusubleveltranPK() {
    }

    public TgenemenusubleveltranPK(int menucode, int levelcode, int sublevel, String transactionmodule, short transactioncode, short transactionversion) {
        this.menucode = menucode;
        this.levelcode = levelcode;
        this.sublevel = sublevel;
        this.transactionmodule = transactionmodule;
        this.transactioncode = transactioncode;
        this.transactionversion = transactionversion;
    }

    public int getMenucode() {
        return menucode;
    }

    public void setMenucode(int menucode) {
        this.menucode = menucode;
    }

    public int getLevelcode() {
        return levelcode;
    }

    public void setLevelcode(int levelcode) {
        this.levelcode = levelcode;
    }

    public int getSublevel() {
        return sublevel;
    }

    public void setSublevel(int sublevel) {
        this.sublevel = sublevel;
    }

    public String getTransactionmodule() {
        return transactionmodule;
    }

    public void setTransactionmodule(String transactionmodule) {
        this.transactionmodule = transactionmodule;
    }

    public short getTransactioncode() {
        return transactioncode;
    }

    public void setTransactioncode(short transactioncode) {
        this.transactioncode = transactioncode;
    }

    public short getTransactionversion() {
        return transactionversion;
    }

    public void setTransactionversion(short transactionversion) {
        this.transactionversion = transactionversion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (int) menucode;
        hash += (int) levelcode;
        hash += (int) sublevel;
        hash += (transactionmodule != null ? transactionmodule.hashCode() : 0);
        hash += (int) transactioncode;
        hash += (int) transactionversion;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenemenusubleveltranPK)) {
            return false;
        }
        TgenemenusubleveltranPK other = (TgenemenusubleveltranPK) object;
        if (this.menucode != other.menucode) {
            return false;
        }
        if (this.levelcode != other.levelcode) {
            return false;
        }
        if (this.sublevel != other.sublevel) {
            return false;
        }
        if ((this.transactionmodule == null && other.transactionmodule != null) || (this.transactionmodule != null && !this.transactionmodule.equals(other.transactionmodule))) {
            return false;
        }
        if (this.transactioncode != other.transactioncode) {
            return false;
        }
        if (this.transactionversion != other.transactionversion) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenemenusubleveltranPK[ menucode=" + menucode + ", levelcode=" + levelcode + ", sublevel=" + sublevel + ", transactionmodule=" + transactionmodule + ", transactioncode=" + transactioncode + ", transactionversion=" + transactionversion + " ]";
    }
    
}
